[4.13.1]
* Bug fixes 
- Fixed a bug where tree support could go through the model
- Fixed a bug where there were incomplete layers in surface mode 

[4.13.0]
<i>For an overview of the new features in Cura 4.13, please watch <a href="https://youtu.be/chvAuI6Eqto">our video</a>.</i>

* Sync material profiles 
With Ultimaker Cura 4.13, we give you access to a seamless material experience for Ultimaker Material Alliance materials – with the ease of use you’ve come to expect from Ultimaker materials. You can easily synchronize your Material Alliance profiles with your S-line Ultimaker hardware, at the click of a button. 

* New print profile
A new print profile with 0.3mm layer height for PLA Tough PLA, PVA and BAM for Ultimaker S-line printers

* 3MF thumbnail
Show the model in the thumbnail of a .3mf file, contributed by fieldOfView

* Infill density
When printing with a 100% infill the infill pattern will change to ZigZag for all Ultimaker print profiles

* User login authentication
We’ve streamlined the user login authentication by removing any restrictions, especially for strict enterprise-level IT requirements. 

* Other new features and improvements:
- Improved TPU: top layers have large bridge distance 
- Add warning icon to show which extruder is causing the configuration to be 'Not Supported', contributed by fieldOfView
- Show what's new pages with every Cura build
- Speed up loading of settings list
- Re-use vertex buffer objects in rendering
- Add Build Volume Temperature value to ChangeAtZ, contributed by legend069
- Allow plugins to have multiple views, contributed by Tyronnosaurus
- Reduced top/bottom speed for TPU
- Increased lined width for 0.3mm layer height profiles
- Improved logging to allow debugging in early start-up process

* Bug fixes:
- Fixed a bug with surface mode will not print all layers
- Fixed a bug where maximum retraction could cause a crash
- Reduced flow for 100% density parts
- Fixed a bug in Surface Mode where small line-segments were created
- Changed the Russian translation for 'nozzle', contributed by mlapkin
- Fixed a visualization bug where layer lines were rendered in weird directions
- Fixed a crash when receiving incomplete cloud API responses
- Add SET_RPATH option to CMake, contributed by boomanaiden154
- Fixed initial layer bed and print head temperature for Snapmaker profile, contributed by prueker
- Fixed shader compilation on some GPUs, contributed by fieldOfView
- Fixed a bug where Cross 3D infill pattern vertical angles varies wildly
- Bridge Skin Density can be set above 100%
- Fixed tiny travel moves when monotonic ordering was enabled
- Fix crash when using 'Select face to align to the build plate', contributed by eliadevito
- Fixed a bug in fuzzy skin where sometimes it produced weird long overshoots, contributed by BagelOrb
- Fixed undo and redo for support blockers
- Fixed a bug where the Native CAD plugin wouldn't loading
- Fixed a bug where the camera view toggle was not visible
- Fixed some German translations, contributed by Sekisback
- Fixed the link of the beta update message
- Fixed a crash due to extruder being out of range
- Fixed a bug where a disabled extruder was used
- Fixed a bug where the aborted state was not reflected correctly in Monitor view
- Fixed a bug in Pause at Height where it stops extruding
- Fixed a bug where support blockers were included in the bounding box after loading a project file
- Fixed a bug where grouped models become unslicable if the first extruder was disabled
- Fixed a bug in Tree Support where the Z Distance was too big
- Prevented QT plug-ins from being loaded from an insecure directory if an environment variable is set

* Printer definitions, profiles and materials:
- Add Eazao Zero printer definition, contributed by Hogan-Polaris
- Add XYZprinting printer definitions, contributed by heed818

[4.12.1]
* Bug fixes 
- Updated Shapely to version 1.8.0 which, among other things, fixes multiplying objects on MacOS Monterey 
- Fixed a bug in Lightning infill where the infill was printed multiple times under certain circumstances

[4.12.0]
<i>For an overview of the new features in Cura 4.12, please watch <a href="https://youtu.be/CjFRT6Txn3U">our video</a>.</i>

* Lightning infill
The new lightning infill setting lets you to print high-quality top layers but is optimized to use less material and increase your production speed. Special thanks to rburema and BagelOrb!

* Improved top surface quality
We’ve tweaked the Monotonic setting and made adjustments throughout Ultimaker print profiles. This removes occasional scarring on models and improves top surface quality by default. 

* Improved horizontal print quality
Resulting in reduction of ringing, improving resolution and overall print quality.  

* App switcher
The new switcher provides a simpler way to navigate and use other Ultimaker applications, including Ultimaker Digital Factory, Ultimaker Marketplace, and Ultimaker 3D Printing Academy. Reporting bugs to Github is now just one click away, and it’s easier to find the application you need.

* Faster start-up
We've shaved 10 seconds from Ultimaker Cura's start-up time by optimizing profile data caching.

* Other new features:
- Moved the skip button to the left bottom on the sign in onboarding page and replaced with the sign in button and Create new account
- Add {material_type} and {material_name} as replacement patterns, contributed by fieldOfView
- Update file name after saving
- Make parking optional in all "methods" of Pause at Height, contributed by fieldOfView

* Bug fixes:
- Fixed a bug when combing goes through skin on Top Surface Skin Layers
- Fixed a bug in one-at-a-time mode to not wait for initial layer bed temperature if the temperature stays the same
- Fixed a bug where there was double infill and gap filling 
- Fixed a bug with monotonic ironing that causes fan speed jump to 255 for ironing pass
- Fixed an engine crash when using monotonic ordering with zigzag skin pattern
- Fixed missing commas in disallowed list for code injections, contributed by YuvalZilber
- Fixed various typos, contributed by luzpaz
- Fixed Filament Change Retract method
- Fixed extra microsegments inserted from Wall Overlap Computation
- Fixed inconsistent material name in the header and material selection dropdown
- Fixed scaling model down after scaling it up with tool handles
- Fixed single instance option when opening different files
- Fixed duplicating and multiplying support blockers
- Fixed a bug where a random 0 was added in end g-code
- Fixed a bug in Tree support in the global and per object settings
- Fixed a bug where special characters in configuration files caused a crash
- Fixed a bug where infill goes through skin
- Fixed a bug where ironing doesn't listen to combing mode
- Fixed a bug related to the translations in the monitor tab

* Printer definitions, profiles and materials:
- Added Creasee CS50S pro, Creasee Skywalker and Creasee Phoenix printer definitions, contributed by ivovk9
- Added Joyplace Cremaker M V1, M V2, S V1, contributed by hyu7000
- Added Hellbot printer definitions, contributed by DevelopmentHellbot
- Added Arjun Pro 300 printer definition, contributed by venkatkamesh
- Added AtomStack printer definitions, contributed by zhpt
- Added Weedo X40 printer definition, contributed by x40-Community
- Added 3DI D300 printer definition, contributed by v27jain
- Changed Crealiy Ender 5 Plus end g-code, contributed by mothnox
- Updated definitions and extruders of Hellbot Magna 2 230/300 dual, contributed by DevelopmentHellbot
- Updated Eryone Thinker printer profile, contributed by Eryone
- Updated FLSUN Super Racer profiles, contritubed by Guilouz
- Updated Mega S and X acceleration to firmware default, contributed by NilsRo

* Known bugs with Lighting infill:
- Connect infill polygons doesn't work
- Infill Wipe Distance applies to every polyline
- Infill mesh modifier density
- Infill Overlap doesn't work
- Infill before walls order doesn't respect the order when Lightning is enabled

[4.11.0]
<i>For an overview of the new features in Cura 4.11, please watch <a href="https://youtu.be/OcFkcDyO5DU">our video</a>.</i>

* Monotonic ordering
The new Monotonic top/bottom order setting enables users to print parts with smoother top surfaces. This is especially useful for parts that need good aesthetics, such as visual prototypes. Or for parts that benefit from smooth surfaces, such as those that contact-sensitive components. 

* Complete UI refresh
Look around and you will notice that we have refreshed over 100 icons throughout Ultimaker Cura. The new icons are designed for clarity – resulting in a simpler and more informative slicing experience. Also, when scaling the Ultimaker Cura window, the UI will adapt, resulting in less visual clutter.

* Improved digital library integration
Collaborative workflows using the Digital Library are now simpler. Every user with a cloud-connected Ultimaker 3D printer can access stored projects. And we have added a “Search” function to make finding files easier.

* Save materials profiles to USB
Users can now save all third-party material profiles to USB. <i>This feature is for Ultimaker S-line printers only and is especially useful for cloud-connected (or offline) printers.</i>

* Notifications for beta and plugin releases
Users can now set notification preferences to alert them to new Ultimaker Cura beta and plug-in releases.

* Improve logging of errors in OAuth flow
When helping a user with log-in problems it is easier to see where the OAuth flow goes wrong.

* Search in the description in the settings visibility menu
When searching in the settings visibility menu you will also search in the description of the settings.

* Bug fixes:
- Fixed the setting visibility button to make it easier to click
- Inform the user that their webcam does not work because they are cloud connected
- Inform the user that their webcam does not work if the firewall is enabled
- Fixed a crash when pressing the slice button while context menu is opened 
- Support non-ASCII character in the Digital Library project name
- Fixed integer underflow if print is less than half the initial layer height
- Fixed a bug where infill mesh sometimes default to having walls or skin
- Fix builds with Python 3.8, contributed by StefanBruens
- Fix CC settings for PLA
- Fixed memory leak in Zeroconf 0.25
- Fixed connecting USB printing with detecting baud-rates, contributed by rrrlasse
- Fixed crash when Cura crashes on exit
- Fixed a bug where the infill goes through walls
- Fixed the version upgrade of preferences file
- Fixed missing icons in deprecated icons list, contributed by fieldOfView
- Fixed a crash in CuraEngine when the prime tower is placed in an invalid position
- Fixed a bug when user is unable to sign in on Linux if a Keyring backend is installed
- Fixed the rotation direction of the 90 degrees rotation arrows, contributed by fieldOfView

* Printer definitions, profiles and materials:
- Added SecKit SK-Tank, SK-Go printer definitions, contributed by SecKit
- Added MP Mini Delta 2 printer definition, contributed by PurpleHullPeas
- Added Kingroon K3P and K3PS printer definitions, contributed by NoTaMu
- Added Eryone PLA, PLA Wood, PLA Matte and PETG 1.75mm profiles, contributed by dapostol73
- Added BIQU BX printer definition, contributed by looxonline
- Added FLSun Super race printer definitions, contributed by thushan
- Added Atom 2.0 and Atom Plus printer definitions, contributed by lin-ycv
- Added PBR 3D Gen-I printer definition, contributed by pbr-research
- Added Creasee 3D printer definitions, contributed by ivovk9
- Updated Strateo3D profiles, contributed by ChronosTech
- Added Voron V0 printer definitions, contributed by jgehrig
- Updated Liquid profiles, contributed by alexgrigoras
- Added Farm 2 and Farm2CE printer definitions, contributed by saliery999
- Added GooFoo and Renkforce print definitions and GooFoo materials, contributed by goofoo3d

*<i>From version 4.11 onwards - Ultimaker Cura is only supported on operating systems actively maintained by their software manufacturer or community. This means Windows 7 and MacOS 10.13 will no longer be supported. Technically this means Ultimaker will stop testing and developing for such operating systems. However, even though it is no longer supported, there is still a high likelihood the application keeps functioning.</i>

[4.10.0]
<i>For an overview of the new features in Cura 4.10, please watch <a href="https://www.youtube.com/watch?v=9PCVeJ_yytk">our video</a>.</i>

*Native CAD import plugin
Ultimaker Professional and Excellence subscribers can now directly import native CAD files into Ultimaker Cura.
Enable this feature by downloading the Native CAD import plugin from the Ultimaker marketplace. 

*Flow visualization
In preview mode you can now visualize the flow. Contributed by khani3s.

*Show loading plugins on startup
When starting Cura you will now see which plugins Cura is loading.

*Add Z position parameter to FilamentChange
With the FilamentChange script you can now control all 3 coordinates. 

*Allow FilamentChange script to use Marlin M600 configuration
Contributed by Sekisback.

*Double click on file in Digital Factory
When double clicking on a file in the open project dialog in Digital Factory it will now open in Cura. 

* Bug Fixes
- Fixed temperature exceptions for UM2+C material profiles.
- Fixed a bug where pause at height stops all extrusion if relative extrusion is used.
- Fixed authentication issues when logging into UM account. Contributed by fieldOfView.
- Fixed the pause-at-height retract with Repetier-flavour.
- Fixed erasing z-coordinate in the move tool to the value of 0. 
- Fixed the limit range of layer view to only visible structures. 
- Fixed a bug where Cura crashes when scaling a model on Linux. 
- Fixed path minimum limit. 
- Fixed a bug when using right to left language numbers were overlaying on text in the print settings.
- Fixed edge case with disabling bridging.
- Fixed a bug where some names with Unicode characters crashes Cura when trying to authorize. 
- Fixed renaming groups. Contributed by fieldOfView. 
- Fixed a bug when the seam was not placed in sharpest corner.
- Fixed the gantry height for S-line printers. 
- Fixed a bug where a model is partially below build plate if center selected model is used.
- Fixed a bug where a tooltip arrow appeared when the "Manage printers" button is hovered.
- Fixed a bug where assemblies were not arranged in the center of the build plate. 

* Printer definitions, profiles and materials.
- Add CC0.4 core and materials for S3 and S5.
- Updated Axi machine start gcodes, contributed by Synsuiter.
- Volumic 3D printer definitions, contributed by VOLUMIC.
- Anycubic Mega X and Anycubic Mega S, contributed by NilsRo.
- Updated Deltacomb printer profiles, contributed by kaleidoscopeit.
- eMotionTech Strateo3D materials and profiles, contributed by ChronosTech.
- Sovol SV03, contributed by balacij.
- Two Trees Bluer, Bluer Plus, Sapphire Pro and Sapphire Plus, contributed by Lester3DGadgets.
- Update Skriware 2, contributed by Lukkoz.
- Longer LK1, LK1 Pro, LK1 Plus, LK4, LK4 Pro, LK5, LK5 Plus and Cube 2, contributed by lowkeyjoe. 
- Mingda D3, D4 and Rock3, contributed by cataclism. 
- JGAurora A6, contributed by CrissR.

*<i>Please, be aware that after version 4.10 Ultimaker Cura will only be supported on operating systems actively maintained by their software manufacturer or community. This means Windows 7 and MacOS 10.13 will no longer be supported. Technically this means Ultimaker will stop testing and developing for such operating systems. However, even though it is no longer supported, there is still a high likelihood the application keeps functioning.</i>

[4.9.1]

The release notes of versions &lt;= 4.9.1 can be found in our <a href="https://github.com/Ultimaker/Cura/releases?page=2">releases GitHub page</a>.